For the complete documentation index, see llms.txt. This page is also available as Markdown.

Endpoints

List Endpoint Field Tags

get

Retrieves a paginated list of field tags for a specific endpoint. Can be filtered by name, entity_type_id, store_as, and is_required.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[entity_type_id]stringOptional

Filter results by entity_type_id.

filter[store_as]stringOptional

Filter results by store_as.

filter[is_required]stringOptional

Filter results by is_required.

includestringOptional

Comma-separated list of relationships to include. Available: entityType

sortstringOptional

Sort field. Prefix with - for descending. Available: name, entity_type_id, store_as, is_required

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/endpoints/{endpoint}/field-tags
GET /api/v1/endpoints/{endpoint}/field-tags HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "field_path": "example_field_path",
      "tags": "example_tags",
      "label": "My Label",
      "key": "example_key",
      "value": "example_value",
      "secret": "example_secret",
      "variables": "example_variables",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "name": "My Example",
      "system_id": 1,
      "system": {},
      "entity_type_id": 1,
      "entity_type": {},
      "endpoint": "example_endpoint",
      "http_method": "CONNECT",
      "data_type": "csv",
      "pagination_method": "Custom relative URI",
      "deprecated_at": "2025-01-15T10:30:00.000000Z",
      "direction": "Send",
      "returns_multiple_records": true,
      "pre_script_version_id": 1,
      "post_script_version_id": 1,
      "endpoint_schema": [],
      "field_tags": [],
      "data_path": [],
      "body_format": "none",
      "raw_body": [],
      "filters": [],
      "modified": [],
      "help_link": [],
      "authentication_implementations": [],
      "pre_script_version": "example_pre_script_version",
      "post_script_version": "example_post_script_version",
      "disable_header_addition": true,
      "response_encoding": "base64"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/endpoints/{endpoint}/field-tags",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/endpoints/{endpoint}/field-tags?page=1",
    "last": "https://api.example.com/api/v1/endpoints/{endpoint}/field-tags?page=1",
    "prev": null,
    "next": null
  }
}

Create Endpoint Field Tag

post

Creates a new field tag for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

Body
field_pathstringRequired
Responses
200

Successful response

application/json
post/api/v1/endpoints/{endpoint}/field-tags
POST /api/v1/endpoints/{endpoint}/field-tags HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "field_path": "example_field_path",
  "tags": "example_tags"
}
{
  "data": {
    "id": 1,
    "field_path": "example_field_path",
    "tags": "example_tags",
    "label": "My Label",
    "key": "example_key",
    "value": "example_value",
    "secret": "example_secret",
    "variables": "example_variables",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "name": "My Example",
    "system_id": 1,
    "system": {},
    "entity_type_id": 1,
    "entity_type": {},
    "endpoint": "example_endpoint",
    "http_method": "CONNECT",
    "data_type": "csv",
    "pagination_method": "Custom relative URI",
    "deprecated_at": "2025-01-15T10:30:00.000000Z",
    "direction": "Send",
    "returns_multiple_records": true,
    "pre_script_version_id": 1,
    "post_script_version_id": 1,
    "endpoint_schema": [],
    "field_tags": [],
    "data_path": [],
    "body_format": "none",
    "raw_body": [],
    "filters": [],
    "modified": [],
    "help_link": [],
    "authentication_implementations": [],
    "pre_script_version": "example_pre_script_version",
    "post_script_version": "example_post_script_version",
    "disable_header_addition": true,
    "response_encoding": "base64"
  }
}

Update Endpoint Field Tag

put

Updates an existing field tag for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

field_tagstringRequired

The field tag identifier.

Responses
200

Successful response

No content

put/api/v1/endpoints/{endpoint}/field-tags/{field_tag}
PUT /api/v1/endpoints/{endpoint}/field-tags/{field_tag} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*

No content

Delete Endpoint Field Tag

delete

Permanently deletes a specific field tag for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

field_tagstringRequired

The field tag identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/endpoints/{endpoint}/field-tags/{field_tag}
DELETE /api/v1/endpoints/{endpoint}/field-tags/{field_tag} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

List Endpoint Pagination

get

Retrieves the pagination method details for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

Responses
200

Successful response

application/json
get/api/v1/endpoints/{endpoint}/pagination
GET /api/v1/endpoints/{endpoint}/pagination HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "field_path": "example_field_path",
      "tags": "example_tags",
      "label": "My Label",
      "key": "example_key",
      "value": "example_value",
      "secret": "example_secret",
      "variables": "example_variables",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "name": "My Example",
      "system_id": 1,
      "system": {},
      "entity_type_id": 1,
      "entity_type": {},
      "endpoint": "example_endpoint",
      "http_method": "CONNECT",
      "data_type": "csv",
      "pagination_method": "Custom relative URI",
      "deprecated_at": "2025-01-15T10:30:00.000000Z",
      "direction": "Send",
      "returns_multiple_records": true,
      "pre_script_version_id": 1,
      "post_script_version_id": 1,
      "endpoint_schema": [],
      "field_tags": [],
      "data_path": [],
      "body_format": "none",
      "raw_body": [],
      "filters": [],
      "modified": [],
      "help_link": [],
      "authentication_implementations": [],
      "pre_script_version": "example_pre_script_version",
      "post_script_version": "example_post_script_version",
      "disable_header_addition": true,
      "response_encoding": "base64"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/endpoints/{endpoint}/pagination",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/endpoints/{endpoint}/pagination?page=1",
    "last": "https://api.example.com/api/v1/endpoints/{endpoint}/pagination?page=1",
    "prev": null,
    "next": null
  }
}

Update Endpoint Pagination

put

Updates the pagination method configuration for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

Body
Responses
200

Successful response

application/json
put/api/v1/endpoints/{endpoint}/pagination
PUT /api/v1/endpoints/{endpoint}/pagination HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "variables": "example_variables",
  "request_options": []
}
{
  "data": {
    "id": 1,
    "field_path": "example_field_path",
    "tags": "example_tags",
    "label": "My Label",
    "key": "example_key",
    "value": "example_value",
    "secret": "example_secret",
    "variables": "example_variables",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "name": "My Example",
    "system_id": 1,
    "system": {},
    "entity_type_id": 1,
    "entity_type": {},
    "endpoint": "example_endpoint",
    "http_method": "CONNECT",
    "data_type": "csv",
    "pagination_method": "Custom relative URI",
    "deprecated_at": "2025-01-15T10:30:00.000000Z",
    "direction": "Send",
    "returns_multiple_records": true,
    "pre_script_version_id": 1,
    "post_script_version_id": 1,
    "endpoint_schema": [],
    "field_tags": [],
    "data_path": [],
    "body_format": "none",
    "raw_body": [],
    "filters": [],
    "modified": [],
    "help_link": [],
    "authentication_implementations": [],
    "pre_script_version": "example_pre_script_version",
    "post_script_version": "example_post_script_version",
    "disable_header_addition": true,
    "response_encoding": "base64"
  }
}

List Endpoint Schema

get

Retrieves the schema defined for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

Responses
200

Successful response

application/json
get/api/v1/endpoints/{endpoint}/schema
GET /api/v1/endpoints/{endpoint}/schema HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "field_path": "example_field_path",
      "tags": "example_tags",
      "label": "My Label",
      "key": "example_key",
      "value": "example_value",
      "secret": "example_secret",
      "variables": "example_variables",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "name": "My Example",
      "system_id": 1,
      "system": {},
      "entity_type_id": 1,
      "entity_type": {},
      "endpoint": "example_endpoint",
      "http_method": "CONNECT",
      "data_type": "csv",
      "pagination_method": "Custom relative URI",
      "deprecated_at": "2025-01-15T10:30:00.000000Z",
      "direction": "Send",
      "returns_multiple_records": true,
      "pre_script_version_id": 1,
      "post_script_version_id": 1,
      "endpoint_schema": [],
      "field_tags": [],
      "data_path": [],
      "body_format": "none",
      "raw_body": [],
      "filters": [],
      "modified": [],
      "help_link": [],
      "authentication_implementations": [],
      "pre_script_version": "example_pre_script_version",
      "post_script_version": "example_post_script_version",
      "disable_header_addition": true,
      "response_encoding": "base64"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/endpoints/{endpoint}/schema",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/endpoints/{endpoint}/schema?page=1",
    "last": "https://api.example.com/api/v1/endpoints/{endpoint}/schema?page=1",
    "prev": null,
    "next": null
  }
}

List Endpoint Variables

get

Retrieves a paginated list of variables for a specific endpoint. Can be filtered by label, key, and value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/endpoints/{endpoint}/variables
GET /api/v1/endpoints/{endpoint}/variables HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "label": "My Label",
      "key": "example_key",
      "value": "example_value",
      "secret": "example_secret",
      "locked": "example_locked",
      "configurable": "example_configurable",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "modified": "example_modified",
      "pivot": "example_pivot",
      "required": true,
      "advanced": true,
      "alias": "example_alias"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/endpoints/{endpoint}/variables",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/endpoints/{endpoint}/variables?page=1",
    "last": "https://api.example.com/api/v1/endpoints/{endpoint}/variables?page=1",
    "prev": null,
    "next": null
  }
}

Create Endpoint Variable

post

Creates a new variable for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

Body
labelstringRequired
keystringRequired
valuestringOptional
secretstringOptional
Responses
200

Successful response

application/json
post/api/v1/endpoints/{endpoint}/variables
POST /api/v1/endpoints/{endpoint}/variables HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 222

{
  "label": "My Label",
  "key": "example_key",
  "value": "example_value",
  "secret": "example_secret",
  "pivot": {
    "alias": "example_alias",
    "configurable": "example_configurable",
    "required": "example_required",
    "advanced": "example_advanced"
  }
}
{
  "data": {
    "id": 1,
    "label": "My Label",
    "key": "example_key",
    "value": "example_value",
    "secret": "example_secret",
    "locked": "example_locked",
    "configurable": "example_configurable",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "modified": "example_modified",
    "pivot": "example_pivot",
    "required": true,
    "advanced": true,
    "alias": "example_alias"
  }
}

Delete Endpoint Variable

delete

Permanently deletes a specific variable for a specific endpoint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
endpointstringRequired

The endpoint identifier.

variablestringRequired

The variable identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/endpoints/{endpoint}/variables/{variable}
DELETE /api/v1/endpoints/{endpoint}/variables/{variable} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Last updated

Was this helpful?